patch-configure 16 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601
  1. --- expat-2.0.1.orig/configure 2007-06-05 20:19:38.000000000 +0200
  2. +++ expat-2.0.1/configure 2011-02-15 18:22:45.000000000 +0100
  3. @@ -4608,598 +4608,6 @@ fi
  4. done
  5. -ac_ext=cc
  6. -ac_cpp='$CXXCPP $CPPFLAGS'
  7. -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  8. -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  9. -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  10. -if test -n "$ac_tool_prefix"; then
  11. - for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
  12. - do
  13. - # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
  14. -set dummy $ac_tool_prefix$ac_prog; ac_word=$2
  15. -echo "$as_me:$LINENO: checking for $ac_word" >&5
  16. -echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  17. -if test "${ac_cv_prog_CXX+set}" = set; then
  18. - echo $ECHO_N "(cached) $ECHO_C" >&6
  19. -else
  20. - if test -n "$CXX"; then
  21. - ac_cv_prog_CXX="$CXX" # Let the user override the test.
  22. -else
  23. -as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  24. -for as_dir in $PATH
  25. -do
  26. - IFS=$as_save_IFS
  27. - test -z "$as_dir" && as_dir=.
  28. - for ac_exec_ext in '' $ac_executable_extensions; do
  29. - if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  30. - ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
  31. - echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  32. - break 2
  33. - fi
  34. -done
  35. -done
  36. -
  37. -fi
  38. -fi
  39. -CXX=$ac_cv_prog_CXX
  40. -if test -n "$CXX"; then
  41. - echo "$as_me:$LINENO: result: $CXX" >&5
  42. -echo "${ECHO_T}$CXX" >&6
  43. -else
  44. - echo "$as_me:$LINENO: result: no" >&5
  45. -echo "${ECHO_T}no" >&6
  46. -fi
  47. -
  48. - test -n "$CXX" && break
  49. - done
  50. -fi
  51. -if test -z "$CXX"; then
  52. - ac_ct_CXX=$CXX
  53. - for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
  54. -do
  55. - # Extract the first word of "$ac_prog", so it can be a program name with args.
  56. -set dummy $ac_prog; ac_word=$2
  57. -echo "$as_me:$LINENO: checking for $ac_word" >&5
  58. -echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
  59. -if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
  60. - echo $ECHO_N "(cached) $ECHO_C" >&6
  61. -else
  62. - if test -n "$ac_ct_CXX"; then
  63. - ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
  64. -else
  65. -as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  66. -for as_dir in $PATH
  67. -do
  68. - IFS=$as_save_IFS
  69. - test -z "$as_dir" && as_dir=.
  70. - for ac_exec_ext in '' $ac_executable_extensions; do
  71. - if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  72. - ac_cv_prog_ac_ct_CXX="$ac_prog"
  73. - echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  74. - break 2
  75. - fi
  76. -done
  77. -done
  78. -
  79. -fi
  80. -fi
  81. -ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
  82. -if test -n "$ac_ct_CXX"; then
  83. - echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
  84. -echo "${ECHO_T}$ac_ct_CXX" >&6
  85. -else
  86. - echo "$as_me:$LINENO: result: no" >&5
  87. -echo "${ECHO_T}no" >&6
  88. -fi
  89. -
  90. - test -n "$ac_ct_CXX" && break
  91. -done
  92. -test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
  93. -
  94. - CXX=$ac_ct_CXX
  95. -fi
  96. -
  97. -
  98. -# Provide some information about the compiler.
  99. -echo "$as_me:$LINENO:" \
  100. - "checking for C++ compiler version" >&5
  101. -ac_compiler=`set X $ac_compile; echo $2`
  102. -{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
  103. - (eval $ac_compiler --version </dev/null >&5) 2>&5
  104. - ac_status=$?
  105. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  106. - (exit $ac_status); }
  107. -{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
  108. - (eval $ac_compiler -v </dev/null >&5) 2>&5
  109. - ac_status=$?
  110. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  111. - (exit $ac_status); }
  112. -{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
  113. - (eval $ac_compiler -V </dev/null >&5) 2>&5
  114. - ac_status=$?
  115. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  116. - (exit $ac_status); }
  117. -
  118. -echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
  119. -echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
  120. -if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
  121. - echo $ECHO_N "(cached) $ECHO_C" >&6
  122. -else
  123. - cat >conftest.$ac_ext <<_ACEOF
  124. -/* confdefs.h. */
  125. -_ACEOF
  126. -cat confdefs.h >>conftest.$ac_ext
  127. -cat >>conftest.$ac_ext <<_ACEOF
  128. -/* end confdefs.h. */
  129. -
  130. -int
  131. -main ()
  132. -{
  133. -#ifndef __GNUC__
  134. - choke me
  135. -#endif
  136. -
  137. - ;
  138. - return 0;
  139. -}
  140. -_ACEOF
  141. -rm -f conftest.$ac_objext
  142. -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  143. - (eval $ac_compile) 2>conftest.er1
  144. - ac_status=$?
  145. - grep -v '^ *+' conftest.er1 >conftest.err
  146. - rm -f conftest.er1
  147. - cat conftest.err >&5
  148. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  149. - (exit $ac_status); } &&
  150. - { ac_try='test -z "$ac_cxx_werror_flag"
  151. - || test ! -s conftest.err'
  152. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  153. - (eval $ac_try) 2>&5
  154. - ac_status=$?
  155. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  156. - (exit $ac_status); }; } &&
  157. - { ac_try='test -s conftest.$ac_objext'
  158. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  159. - (eval $ac_try) 2>&5
  160. - ac_status=$?
  161. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  162. - (exit $ac_status); }; }; then
  163. - ac_compiler_gnu=yes
  164. -else
  165. - echo "$as_me: failed program was:" >&5
  166. -sed 's/^/| /' conftest.$ac_ext >&5
  167. -
  168. -ac_compiler_gnu=no
  169. -fi
  170. -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  171. -ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
  172. -
  173. -fi
  174. -echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
  175. -echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
  176. -GXX=`test $ac_compiler_gnu = yes && echo yes`
  177. -ac_test_CXXFLAGS=${CXXFLAGS+set}
  178. -ac_save_CXXFLAGS=$CXXFLAGS
  179. -CXXFLAGS="-g"
  180. -echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
  181. -echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
  182. -if test "${ac_cv_prog_cxx_g+set}" = set; then
  183. - echo $ECHO_N "(cached) $ECHO_C" >&6
  184. -else
  185. - cat >conftest.$ac_ext <<_ACEOF
  186. -/* confdefs.h. */
  187. -_ACEOF
  188. -cat confdefs.h >>conftest.$ac_ext
  189. -cat >>conftest.$ac_ext <<_ACEOF
  190. -/* end confdefs.h. */
  191. -
  192. -int
  193. -main ()
  194. -{
  195. -
  196. - ;
  197. - return 0;
  198. -}
  199. -_ACEOF
  200. -rm -f conftest.$ac_objext
  201. -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  202. - (eval $ac_compile) 2>conftest.er1
  203. - ac_status=$?
  204. - grep -v '^ *+' conftest.er1 >conftest.err
  205. - rm -f conftest.er1
  206. - cat conftest.err >&5
  207. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  208. - (exit $ac_status); } &&
  209. - { ac_try='test -z "$ac_cxx_werror_flag"
  210. - || test ! -s conftest.err'
  211. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  212. - (eval $ac_try) 2>&5
  213. - ac_status=$?
  214. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  215. - (exit $ac_status); }; } &&
  216. - { ac_try='test -s conftest.$ac_objext'
  217. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  218. - (eval $ac_try) 2>&5
  219. - ac_status=$?
  220. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  221. - (exit $ac_status); }; }; then
  222. - ac_cv_prog_cxx_g=yes
  223. -else
  224. - echo "$as_me: failed program was:" >&5
  225. -sed 's/^/| /' conftest.$ac_ext >&5
  226. -
  227. -ac_cv_prog_cxx_g=no
  228. -fi
  229. -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  230. -fi
  231. -echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
  232. -echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
  233. -if test "$ac_test_CXXFLAGS" = set; then
  234. - CXXFLAGS=$ac_save_CXXFLAGS
  235. -elif test $ac_cv_prog_cxx_g = yes; then
  236. - if test "$GXX" = yes; then
  237. - CXXFLAGS="-g -O2"
  238. - else
  239. - CXXFLAGS="-g"
  240. - fi
  241. -else
  242. - if test "$GXX" = yes; then
  243. - CXXFLAGS="-O2"
  244. - else
  245. - CXXFLAGS=
  246. - fi
  247. -fi
  248. -for ac_declaration in \
  249. - '' \
  250. - 'extern "C" void std::exit (int) throw (); using std::exit;' \
  251. - 'extern "C" void std::exit (int); using std::exit;' \
  252. - 'extern "C" void exit (int) throw ();' \
  253. - 'extern "C" void exit (int);' \
  254. - 'void exit (int);'
  255. -do
  256. - cat >conftest.$ac_ext <<_ACEOF
  257. -/* confdefs.h. */
  258. -_ACEOF
  259. -cat confdefs.h >>conftest.$ac_ext
  260. -cat >>conftest.$ac_ext <<_ACEOF
  261. -/* end confdefs.h. */
  262. -$ac_declaration
  263. -#include <stdlib.h>
  264. -int
  265. -main ()
  266. -{
  267. -exit (42);
  268. - ;
  269. - return 0;
  270. -}
  271. -_ACEOF
  272. -rm -f conftest.$ac_objext
  273. -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  274. - (eval $ac_compile) 2>conftest.er1
  275. - ac_status=$?
  276. - grep -v '^ *+' conftest.er1 >conftest.err
  277. - rm -f conftest.er1
  278. - cat conftest.err >&5
  279. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  280. - (exit $ac_status); } &&
  281. - { ac_try='test -z "$ac_cxx_werror_flag"
  282. - || test ! -s conftest.err'
  283. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  284. - (eval $ac_try) 2>&5
  285. - ac_status=$?
  286. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  287. - (exit $ac_status); }; } &&
  288. - { ac_try='test -s conftest.$ac_objext'
  289. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  290. - (eval $ac_try) 2>&5
  291. - ac_status=$?
  292. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  293. - (exit $ac_status); }; }; then
  294. - :
  295. -else
  296. - echo "$as_me: failed program was:" >&5
  297. -sed 's/^/| /' conftest.$ac_ext >&5
  298. -
  299. -continue
  300. -fi
  301. -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  302. - cat >conftest.$ac_ext <<_ACEOF
  303. -/* confdefs.h. */
  304. -_ACEOF
  305. -cat confdefs.h >>conftest.$ac_ext
  306. -cat >>conftest.$ac_ext <<_ACEOF
  307. -/* end confdefs.h. */
  308. -$ac_declaration
  309. -int
  310. -main ()
  311. -{
  312. -exit (42);
  313. - ;
  314. - return 0;
  315. -}
  316. -_ACEOF
  317. -rm -f conftest.$ac_objext
  318. -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  319. - (eval $ac_compile) 2>conftest.er1
  320. - ac_status=$?
  321. - grep -v '^ *+' conftest.er1 >conftest.err
  322. - rm -f conftest.er1
  323. - cat conftest.err >&5
  324. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  325. - (exit $ac_status); } &&
  326. - { ac_try='test -z "$ac_cxx_werror_flag"
  327. - || test ! -s conftest.err'
  328. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  329. - (eval $ac_try) 2>&5
  330. - ac_status=$?
  331. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  332. - (exit $ac_status); }; } &&
  333. - { ac_try='test -s conftest.$ac_objext'
  334. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  335. - (eval $ac_try) 2>&5
  336. - ac_status=$?
  337. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  338. - (exit $ac_status); }; }; then
  339. - break
  340. -else
  341. - echo "$as_me: failed program was:" >&5
  342. -sed 's/^/| /' conftest.$ac_ext >&5
  343. -
  344. -fi
  345. -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  346. -done
  347. -rm -f conftest*
  348. -if test -n "$ac_declaration"; then
  349. - echo '#ifdef __cplusplus' >>confdefs.h
  350. - echo $ac_declaration >>confdefs.h
  351. - echo '#endif' >>confdefs.h
  352. -fi
  353. -
  354. -ac_ext=cc
  355. -ac_cpp='$CXXCPP $CPPFLAGS'
  356. -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  357. -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  358. -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  359. -
  360. -
  361. -
  362. -if test -n "$CXX" && ( test "X$CXX" != "Xno" &&
  363. - ( (test "X$CXX" = "Xg++" && `g++ -v >/dev/null 2>&1` ) ||
  364. - (test "X$CXX" != "Xg++"))) ; then
  365. - ac_ext=cc
  366. -ac_cpp='$CXXCPP $CPPFLAGS'
  367. -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  368. -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  369. -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  370. -echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
  371. -echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
  372. -if test -z "$CXXCPP"; then
  373. - if test "${ac_cv_prog_CXXCPP+set}" = set; then
  374. - echo $ECHO_N "(cached) $ECHO_C" >&6
  375. -else
  376. - # Double quotes because CXXCPP needs to be expanded
  377. - for CXXCPP in "$CXX -E" "/lib/cpp"
  378. - do
  379. - ac_preproc_ok=false
  380. -for ac_cxx_preproc_warn_flag in '' yes
  381. -do
  382. - # Use a header file that comes with gcc, so configuring glibc
  383. - # with a fresh cross-compiler works.
  384. - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  385. - # <limits.h> exists even on freestanding compilers.
  386. - # On the NeXT, cc -E runs the code through the compiler's parser,
  387. - # not just through cpp. "Syntax error" is here to catch this case.
  388. - cat >conftest.$ac_ext <<_ACEOF
  389. -/* confdefs.h. */
  390. -_ACEOF
  391. -cat confdefs.h >>conftest.$ac_ext
  392. -cat >>conftest.$ac_ext <<_ACEOF
  393. -/* end confdefs.h. */
  394. -#ifdef __STDC__
  395. -# include <limits.h>
  396. -#else
  397. -# include <assert.h>
  398. -#endif
  399. - Syntax error
  400. -_ACEOF
  401. -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
  402. - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  403. - ac_status=$?
  404. - grep -v '^ *+' conftest.er1 >conftest.err
  405. - rm -f conftest.er1
  406. - cat conftest.err >&5
  407. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  408. - (exit $ac_status); } >/dev/null; then
  409. - if test -s conftest.err; then
  410. - ac_cpp_err=$ac_cxx_preproc_warn_flag
  411. - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
  412. - else
  413. - ac_cpp_err=
  414. - fi
  415. -else
  416. - ac_cpp_err=yes
  417. -fi
  418. -if test -z "$ac_cpp_err"; then
  419. - :
  420. -else
  421. - echo "$as_me: failed program was:" >&5
  422. -sed 's/^/| /' conftest.$ac_ext >&5
  423. -
  424. - # Broken: fails on valid input.
  425. -continue
  426. -fi
  427. -rm -f conftest.err conftest.$ac_ext
  428. -
  429. - # OK, works on sane cases. Now check whether non-existent headers
  430. - # can be detected and how.
  431. - cat >conftest.$ac_ext <<_ACEOF
  432. -/* confdefs.h. */
  433. -_ACEOF
  434. -cat confdefs.h >>conftest.$ac_ext
  435. -cat >>conftest.$ac_ext <<_ACEOF
  436. -/* end confdefs.h. */
  437. -#include <ac_nonexistent.h>
  438. -_ACEOF
  439. -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
  440. - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  441. - ac_status=$?
  442. - grep -v '^ *+' conftest.er1 >conftest.err
  443. - rm -f conftest.er1
  444. - cat conftest.err >&5
  445. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  446. - (exit $ac_status); } >/dev/null; then
  447. - if test -s conftest.err; then
  448. - ac_cpp_err=$ac_cxx_preproc_warn_flag
  449. - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
  450. - else
  451. - ac_cpp_err=
  452. - fi
  453. -else
  454. - ac_cpp_err=yes
  455. -fi
  456. -if test -z "$ac_cpp_err"; then
  457. - # Broken: success on invalid input.
  458. -continue
  459. -else
  460. - echo "$as_me: failed program was:" >&5
  461. -sed 's/^/| /' conftest.$ac_ext >&5
  462. -
  463. - # Passes both tests.
  464. -ac_preproc_ok=:
  465. -break
  466. -fi
  467. -rm -f conftest.err conftest.$ac_ext
  468. -
  469. -done
  470. -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
  471. -rm -f conftest.err conftest.$ac_ext
  472. -if $ac_preproc_ok; then
  473. - break
  474. -fi
  475. -
  476. - done
  477. - ac_cv_prog_CXXCPP=$CXXCPP
  478. -
  479. -fi
  480. - CXXCPP=$ac_cv_prog_CXXCPP
  481. -else
  482. - ac_cv_prog_CXXCPP=$CXXCPP
  483. -fi
  484. -echo "$as_me:$LINENO: result: $CXXCPP" >&5
  485. -echo "${ECHO_T}$CXXCPP" >&6
  486. -ac_preproc_ok=false
  487. -for ac_cxx_preproc_warn_flag in '' yes
  488. -do
  489. - # Use a header file that comes with gcc, so configuring glibc
  490. - # with a fresh cross-compiler works.
  491. - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  492. - # <limits.h> exists even on freestanding compilers.
  493. - # On the NeXT, cc -E runs the code through the compiler's parser,
  494. - # not just through cpp. "Syntax error" is here to catch this case.
  495. - cat >conftest.$ac_ext <<_ACEOF
  496. -/* confdefs.h. */
  497. -_ACEOF
  498. -cat confdefs.h >>conftest.$ac_ext
  499. -cat >>conftest.$ac_ext <<_ACEOF
  500. -/* end confdefs.h. */
  501. -#ifdef __STDC__
  502. -# include <limits.h>
  503. -#else
  504. -# include <assert.h>
  505. -#endif
  506. - Syntax error
  507. -_ACEOF
  508. -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
  509. - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  510. - ac_status=$?
  511. - grep -v '^ *+' conftest.er1 >conftest.err
  512. - rm -f conftest.er1
  513. - cat conftest.err >&5
  514. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  515. - (exit $ac_status); } >/dev/null; then
  516. - if test -s conftest.err; then
  517. - ac_cpp_err=$ac_cxx_preproc_warn_flag
  518. - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
  519. - else
  520. - ac_cpp_err=
  521. - fi
  522. -else
  523. - ac_cpp_err=yes
  524. -fi
  525. -if test -z "$ac_cpp_err"; then
  526. - :
  527. -else
  528. - echo "$as_me: failed program was:" >&5
  529. -sed 's/^/| /' conftest.$ac_ext >&5
  530. -
  531. - # Broken: fails on valid input.
  532. -continue
  533. -fi
  534. -rm -f conftest.err conftest.$ac_ext
  535. -
  536. - # OK, works on sane cases. Now check whether non-existent headers
  537. - # can be detected and how.
  538. - cat >conftest.$ac_ext <<_ACEOF
  539. -/* confdefs.h. */
  540. -_ACEOF
  541. -cat confdefs.h >>conftest.$ac_ext
  542. -cat >>conftest.$ac_ext <<_ACEOF
  543. -/* end confdefs.h. */
  544. -#include <ac_nonexistent.h>
  545. -_ACEOF
  546. -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
  547. - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  548. - ac_status=$?
  549. - grep -v '^ *+' conftest.er1 >conftest.err
  550. - rm -f conftest.er1
  551. - cat conftest.err >&5
  552. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  553. - (exit $ac_status); } >/dev/null; then
  554. - if test -s conftest.err; then
  555. - ac_cpp_err=$ac_cxx_preproc_warn_flag
  556. - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
  557. - else
  558. - ac_cpp_err=
  559. - fi
  560. -else
  561. - ac_cpp_err=yes
  562. -fi
  563. -if test -z "$ac_cpp_err"; then
  564. - # Broken: success on invalid input.
  565. -continue
  566. -else
  567. - echo "$as_me: failed program was:" >&5
  568. -sed 's/^/| /' conftest.$ac_ext >&5
  569. -
  570. - # Passes both tests.
  571. -ac_preproc_ok=:
  572. -break
  573. -fi
  574. -rm -f conftest.err conftest.$ac_ext
  575. -
  576. -done
  577. -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
  578. -rm -f conftest.err conftest.$ac_ext
  579. -if $ac_preproc_ok; then
  580. - :
  581. -else
  582. - { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
  583. -See \`config.log' for more details." >&5
  584. -echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
  585. -See \`config.log' for more details." >&2;}
  586. - { (exit 1); exit 1; }; }
  587. -fi
  588. -
  589. -ac_ext=cc
  590. -ac_cpp='$CXXCPP $CPPFLAGS'
  591. -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  592. -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  593. -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
  594. -
  595. -fi
  596. -
  597. ac_ext=f
  598. ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'